﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DumpTruck.Entities
{
    public class EntityDumpTruck : EntityCar
    {

        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }

        /// <summary>
        /// Признак (опция) наличия кузова
        /// </summary>
        public bool BodyKit { get; private set; }

        /// <summary>
        /// Признак (опция) наличия tent
        /// </summary>
        public bool Tent { get; private set; }

       
        public EntityDumpTruck(int speed, double weight, Color bodyColor, Color
    additionalColor, bool bodyKit, bool tent) : base(speed, weight, bodyColor)
        {
           
            AdditionalColor = additionalColor;
            BodyKit = bodyKit;
            Tent = tent;
        }
    }

}




